#include "RatedVotingSystem.h"
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int RatedVotingSystem::voteRanking( int* ranking ) {
    int rating[numc];
    int i;
    for ( i = 0; i < numc; i++ ) {
	if ( ranking[i] == NO_VOTE ) {
	    rating[i] = NO_VOTE; // unranked -> unrated
	} else {
	    rating[i] = numc - ranking[i];
	}
    }
    return voteRating( rating );
}

/*char* RatedVotingSystem::htmlSummary() {
    char* buf = (char*)malloc(4096);
    char* cur = buf;
    sprintf( cur, "<table>" );
    cur = cur + strlen( cur );
    return buf;
}
*/
#if 0
void RatedVotingSystem::addRatingToHist( int* ratings ) {
    if ( b == NULL ) return;
    int i;
    static bool firstTime = true;
    if ( firstTime ) {
	firstTime = false;
	fprintf(stderr,"blen %d, l %f, h %f\n", blen, l, h );
	for ( i = 0; i < blen; i++ ) {
	    fprintf(stderr,"bucketfy( %d ) => %d\n", i, bucketfy( i ) );
	}
    }
    for ( i = 0; i < numc; i++ ) {
	int bu;
	bu = bucketfy( ratings[i] );
	b[i*blen + bu]++;
    }
}

#endif
