#!/usr/bin/perl -w
# CGI script for collecting votes
# saves them off in raw x_www_url_encoded (with a few ENV attached)

# CHANGE THIS to a location the user running the web server can write to
$dest = "/tmp/ballotbox";

use Fcntl ':flock';

# stdout is goes back to the web-form user as acknowledgement
# must include this http header. text/plain because I'm lazy.
print "Content-type: text/plain\n\nSubmitted:\n";

open FOUT, ">>$dest";
flock FOUT,LOCK_EX;
while ( $a = <STDIN> ) {
# save raw to file
  print FOUT $a;
# and echo it for user (could change this to be nicer)
  print $a;
}

# save a few things that might be uset to prevent box stuffers
$list = "";
foreach $i ( keys %ENV ) {
  if ( $i =~ /(HTTP_REFERER|HTTP_USER_AGENT|REMOTE_ADDR|REMOTE_PORT)/ ) { 
    my $str = $i . "=" . $ENV{$i};
    $a = $list . "&" . $str;
    $list = $a;
  }
}
print FOUT $list . "\n";
# don't echo the behind-the-scenes parameters
#print $list . "\n";
flock FOUT,LOCK_UN;
close FOUT;
print "\nOK\n";
