#ifndef PICK_N_H
#define PICK_N_H
/*
 *  PickN.h
 *  multiseat
 *
 *  Created by Brian Olson on Sun Oct 12 2003.
 *  Copyright (c) 2003 Brian Olson. All rights reserved.
 *
 */

#include "MultiseatElection.h"

class PickN : public MultiseatElection {
public:
    virtual void runElection( int* winnerR, int seats, const VoterArray& they );
    virtual const char* name();
    virtual void init( const char** envp );

    PickN();
protected:
    int pickN;
};

MultiseatElection* newPickN();


#endif
