#ifndef RANKED_VOTE_PICK_ONE_H
#define RANKED_VOTE_PICK_ONE_H

#include "VotingSystem.h"

class RankedVotePickOne : public VotingSystem {
public:
    int dontCountNegPref;
    RankedVotePickOne()
     : VotingSystem( "Ranked Vote" ), dontCountNegPref( 0 ) {};
    RankedVotePickOne( char* n )
     : VotingSystem( n ), dontCountNegPref( 0 ) {};
    RankedVotePickOne( char* n, int dcnp )
     : VotingSystem( n ), dontCountNegPref( dcnp ) {};
    virtual void runElection( int* winnerR, const VoterArray& they );
};

#endif
