#ifndef VOTING_SYSTEM_H
#define VOTING_SYSTEM_H

class Voter;
class VoterArray;

class VotingSystem {
public:
    VotingSystem():name((char*)0){};
    VotingSystem(char* nin):name(nin){};
    // returns happiness, and in "winner" of election by "they"
    virtual void runElection( int* winnerR, const VoterArray& they ) = 0;
    char* name;
    
    /* calculate average happiness of the voters for the winner */
    static double pickOneHappiness( const VoterArray& they, int numv, int winner, double* stddevP, int start );
    static double pickOneHappiness( const VoterArray& they, int numv, int winner, double* stddevP );
    static double pickOneHappiness( const VoterArray& they, int numv, int winner );
};

#endif
