#include "RankedVotingSystem.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// convert to ranking (sort)
int RankedVotingSystem::voteRating( int* rating ) {
    int ci[numc], rank[numc];
    int i;
    bool done = false;
    for ( i = 0; i < numc; i++ ) {
	ci[i] = i;
    }
    while ( ! done ) {
	done = true;
	for ( i = 0; i < numc - 1; i++ ) {
	    if ( rating[ci[i]] < rating[ci[i+1]] ) {
		int t;
		t = ci[i];
		ci[i] = ci[i+1];
		ci[i+1] = t;
		done = false;
	    }
	}
    }
    for ( i = 0; i < numc; i++ ) {
	rank[ci[i]] = i + 1;
    }
#if 01
    for ( i = 0; i < numc; i++ ) {
	if ( rating[i] == NO_VOTE ) {
	    rank[i] = NO_VOTE;
	}
    }
#endif
    return voteRanking( rank );
}

/*char* RankedVotingSystem::htmlSummary() {
    char* buf = (char*)malloc(4096);
    char* cur = buf;
    sprintf( cur, "<table>" );
    cur = cur + strlen( cur );
    return buf;
}*/
#if 0
void RankedVotingSystem::startHistograms( int nbuck, double min, double max ) {
    b = (int*)malloc( sizeof(int[numc][nbuck]) );
    blen = nbuck;
    if ( min != 1 ) {
	fprintf( stderr, "warning: ranked histogram does not start at 1 (1st place)\n" );
    }
    l = min;
    h = max;
}
void RankedVotingSystem::addRankingToHist( int* ratings ) {
    if ( b == NULL ) return;
    int i;
    for ( i = 0; i < numc; i++ ) {
	int bu;
	bu = bucketfy( ratings[i] );
	b[i*blen + bu]++;
    }
}
#endif
