<html><head><title>Contrived Electorate Examples</title></head>
<body bgcolor="#FFFFFF">
<h1>Contrived Electorate Examples</h1>
<a href="../index.html">Voting Simulation Home</a>
<p>
From <link>
http://electionmethods.org/evaluation.htm</link>
</p>
<p>Winner 0 is A, 1 is B, ...</p>
<p>A vote "A,C" means ranking "A" highest, "C" next, and any remaining
candidates equivalently last. These rankings were represented as preferences
with real
numbers from 1.0 to -1.0, either {1.0, 0.0, -1.0} for 3 candidates or
{1.0, .33, -.33, -1.0} for 4 candidates.</p>

<hr>
<p>
Exhibit A, IRV gets the wrong answer.
</p>
<pre>
17 voters, 3 candidates
8: A,C
5: B,A
4: C,B
</pre>
#include "a.html"

<hr>
<p>
Just like A, but as if two of the 8 "A,C" voters change their mind to like
"C" better. Counterintuitively, this causes the IRV winner to change from
"B" to "A". A was devalued over the previous example, but now wins.
(nevermind this happens to be the "right" answer, it's supposed
to point out how flakey IRV is)
</p>
<pre>
17 voters, 3 candidates
6: A,C
5: B,A
4: C,B
2: C,A
</pre>
#include "b.html"

<hr>
<p>Another example IRV gets wrong</p>
<pre>
21 voters, 4 candidates
7: A,B,C
6: B,A,C
5: C,B,A
3: D,C,B
</pre>
#include "c.html"

<hr>
<p>Another example IRV gets wrong</p>
<pre>
20 voters, 3 candidates
8: A,B
7: C,B
5: B
</pre>
#include "d.html"

<hr>
<p>From a presentation slide by Dr. Donald Saari, UC Irvine.
Demonstrating the dismal situration where three different outcomes
are possible depending on the elecetion system.</p>
<pre>
20 voters, 4 choices
2: A,B,C,D
1: A,C,D,B
2: A,D,C,B
2: C,B,D,A
3: D,B,C,A
</pre>
#include "e.html"

<hr>
<p>The "Milk,Beer,Wine" example. Any of the 3 possible outcomes can
happen depending on the system.</p>
<pre>
15 voters, 3 choices
6: A,C,B
5: B,C,A
4: C,B,A
</pre>
#include "f.html"
<hr>
<p>A thought experiment I saw out there on the net.<br>winner 0 = Dean, 1 = Gephardt, 2 = Edwards</p>
<pre>
33% Dean, Gephardt, Edwards, Lieberman, Clark
22% Clark, Edwards, Gephardt, Lieberman, Dean
18% Lieberman, Clark, Edwards, Gephardt, Dean
16% Gephardt, Lieberman, Edwards, Clark, Dean
7%  Edwards, Clark, Gephardt, Lieberman, Dean
4%  Edwards, Lieberman, Gephardt, Clark, Dean
</pre>
#include "g.html"
<hr><a href="../index.html">Voting Simulation Home</a>
<br><address><a href="http://bolson.org/email.html">email bolson</a></address>
</body></html>
