#!/usr/bin/perl -w
$outputPrefix = "graph/";

sub readData( $$$ ) {
my $c = shift;
my $v = shift;
my $n = shift;
my $fname = sprintf "c%02dv%dn%d", $c, $v, $n;
print "opening \"$fname\"\n";
open( FIN, "$fname" ) || return;
my $a = <FIN>;
if ( ! $a ) {
  return;
}
chomp($a);
my @header = ();
my @data = ();
BLA: while ( $a = <FIN> ) {
    chomp $a;
    my @p = split '\t', $a;
    last BLA if ( $#p != 4 );
#    print "header @header\ndata @data\n";
    @header = (@header , "$p[0] mean happiness","$p[0] happiness std dev");
    @data = (@data , $p[2], $p[4] );
}
return (\@header, \@data);
}

@csteps = ( 2, 3, 4, 5, 6, 7, 8, 9, 11, 13, 16, 20, 25, 31, 38, 50, 65, 99 );
#@csteps = ( 8, 9 );
#@vsteps = ( 10, 100, 1000, 10000, 100000, 1000000 );
@vsteps = ( 10, 100, 1000, 10000, 100000 );
#@vsteps = ( 10000 );
$n = 10000;

#@both = readData( 02, 10, 10000 );
#@h = @{$both[0]};
#@d = @{$both[1]};
#print "HAHA\nheader @h\ndata @d\n";

#read all data
@dataByV = ();
foreach $v ( @vsteps ) {
$dbcr = [];
#@dataByC = ();
#@dataByC = @{$dbcr};
foreach $c ( @csteps ) {
    @both = readData( $c, $v, $n );
    if ( @both ) {
    @h = @{$both[0]};
#    @d = @{$both[1]};
#    print "read v $v c $c d @d\n";
#    @dataByC = (@dataByC, $both[1]);
    @{$dbcr} = (@{$dbcr}, $both[1]);
  }
}
@dataByV = (@dataByV, $dbcr);
}

print "dataByV \# $#dataByV @dataByV\n";

if ( 01 ) {
for ($hi = 0; $hi <= $#h; $hi++ ) {
my $col = $h[$hi];
#print "ouputting column $col\n";
for ($vi = 0; $vi <= $#vsteps; $vi++ ) {
    my $v = $vsteps[$vi];
    my $fname = $outputPrefix . "c_v" . $v . "n$n" . "$col";
    print "data $fname\n";
    open FOUT, ">$fname";
    @dataByC = @{$dataByV[$vi]};
#    print "hi $hi vi $vi v $v dataByC @dataByC\n";
    for ( $ci = 0; $ci <= $#csteps; $ci++ ) {
        my $c = $csteps[$ci];
	if ( $dataByC[$ci] ) {
        @d = @{$dataByC[$ci]};
#        print "vi $vi ci $ci c $c\t$d[$hi]\n";
        print FOUT "$c\t$d[$hi]\n";
      }
    }
    close FOUT;
}
}
}

if ( 01 ) {
for ($hi = 0; $hi <= $#h; $hi++ ) {
my $col = $h[$hi];
#print "ouputting column $col\n";
for ( $ci = 0; $ci <= $#csteps; $ci++ ) {
    my $c = $csteps[$ci];
    my $fname = sprintf "%sc%02dv_n%d%s", $outputPrefix, $c, $n, $col;
    print "data $fname\n";
    open FOUT, ">$fname";
    for ($vi = 0; $vi <= $#vsteps; $vi++ ) {
        my $v = $vsteps[$vi];
        @dataByC = @{$dataByV[$vi]};
	if ( $dataByC[$ci] ) {
	  @d = @{$dataByC[$ci]};
#        print "vi $vi ci $ci v $v\t$d[$hi]\n";
	  print FOUT "$v\t$d[$hi]\n";
	}
    }
    close FOUT;
}
}
}
