#!/bin/csh -f
# execute this in a temporary directory with a copy of resultDB in it.
# may use the same directory as graphs for web are prepared in.
mkdir -p graph
../resultDBToGnuplot -F resultDB -o c04 -m ps -m eps -m epsltx --noset -s 'e happiness' --csteps 04 --vsteps 100000
gnuplot c04
#epstopdf graph/v100000/c04.eps
# OR
ps2pdf graph/v100000/c04.ps
mv c04.pdf graph/v100000

../resultDBToGnuplot -F resultDB -o e0_17 -m ps -m eps -m epsltx --noset -s 'c happiness' --esteps 0.17 --vsteps 100000
gnuplot e0_17
ps2pdf graph/v100000/e0_17.ps
mv e0_17.pdf graph/v100000

ln -s ../essay.ltx .
pdflatex essay.ltx

latex2html -split 0 -noimages essay.ltx
