#!/usr/bin/perl -w
# defaults
#$nTimesVCap = 10000000;
#($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime;
@lt = localtime;
$year = $lt[5];
$mon = $lt[4];
$mday = $lt[3];
$hour = $lt[2];
$min = $lt[1];
$sec = $lt[0];
$year += 1900;
$mon += 1;
$datestr = sprintf "%04d%02d%02d_%02d%02d%02d", $year, $mon, $mday, $hour, $min, $sec;
$data = $datestr . "data";
mkdir $data;
system "cd $data ; lndir -silent ../edata/ . ; ln -s ../testAll.make ../runit ../voter ../timedvoter .";
open TAT, ">$data/testAllTargets.make";
open TAR, ">$data/testAllRules.make";
print TAT "PRODUCTS :=";
use Steps;

#$n = $nsteps[0];
foreach $v ( @vsteps ) {
    $vpart = "v$v";
    mkdir "$data/$vpart";
#    $nv = $n * $v;
#    print "n = $n\nv = $v\nn * v = $nv (cap $nTimesVCap)\n";
#    if ( $nTimesVCap && $nv > $nTimesVCap ) {
#	$n = $nTimesVCap / $v;
#    }
    foreach $c ( @csteps ) {
	$cpart = sprintf "%s/c%02d", $vpart, $c;
	foreach $e ( @esteps ) {
	    $fname =  "$cpart" . "e$e";
	    print TAT " $fname";
	    print TAR $fname . ":\tvoter timedvoter\n" .
	    "\t\@echo $e error $c candidates $v voters\n" .
	    "\t\@date\n" .
	    "\t\@./timedvoter -F resultDB -v $v -n \$(NUM_TRIALS) -c $c -e $e | tee $fname\n\n";
	}
	print TAT "\nPRODUCTS +=";
	$fname = $cpart;
	print TAT " $fname";
	print TAR $fname . ":\tvoter timedvoter\n" .
	"\t\@echo $c candidates and $v voters\n" .
	"\t\@date\n" .
	"\t\@./timedvoter -F resultDB -v $v -n \$(NUM_TRIALS) -c $c | tee $fname\n\n";
    }
}
print TAT "\n";
