#!/bin/sh
mkdir -p dist
ARCHNAME=vutils_`date +%Y%m%d_%H%M%S`
cvs export -r HEAD -d $ARCHNAME voting/api2
tar cf dist/${ARCHNAME}.tar $ARCHNAME
gzip < dist/${ARCHNAME}.tar > dist/${ARCHNAME}.tar.gz
bzip2 < dist/${ARCHNAME}.tar > dist/${ARCHNAME}.tar.bz2
ditto -c -k --rsrc $ARCHNAME dist/${ARCHNAME}.zip
rm -rf ${ARCHNAME} dist/${ARCHNAME}.tar
cd dist
rm -f vutils_current.tar.bz2 vutils_current.tar.gz
ln -s ${ARCHNAME}.tar.bz2 vutils_current.tar.bz2
ln -s ${ARCHNAME}.tar.gz vutils_current.tar.gz
