#ifndef MAX_HC_H
#define MAX_HC_H
/*
 *  MaxHC.h
 *  multiseat
 *
 *  Created by Brian Olson on Mon Oct 13 2003.
 *  Copyright (c) 2003 Brian Olson. All rights reserved.
 *
 */

#include "MultiseatElection.h"

class MaxHC : public MultiseatElection {
public:
    virtual void runElection( int* winnerR, int seats, const VoterArray& they );
    virtual const char* name();
    virtual void init( const char** envp );

    MaxHC();
    
    double hpow;
    double cpow;
};

MultiseatElection* newMaxHC();

#endif
