#ifndef SIMGLOBAL_H
#define SIMGLOBAL_H
/*
 *  SimGlobal.h
 *  multiseat
 *
 *  Created by Brian Olson on Thu Sep 11 2003.
 *  Copyright (c) 2003 Brian Olson. All rights reserved.
 *
 */

class MESystem;
class DBResultFile;

class SimGlobal {
public:
    MESystem* root;
    int nsys;

    void* strategies;
    int numStrat;

    DBResultFile* drf;

    unsigned int upToTrials;
    int summary;
    int printEachElection;

    volatile int goGently;

    SimGlobal();

    void add( MESystem* );

    void reverseSystems(void);
};


#endif
